/* comparison.h */

#ifndef COMPARISON_H
#define COMPARISON_H

#include "programio.h"

class comparison
{
    private:
        programio student;
        programio solution;
        programio prog; // act as a runner for comparison functions
        vector<string> missingInStudent;
        vector<string> missingInSolution;
        vector<string> linesMatched;

    public:
        comparison();
        void setStudentName(string name);
        void setSolutionName(string name);
        programio getStudentProg();
        programio getSolutionProg();
        void collectProgramOutput(char selection, string name, string inputFile, bool &loadStatus);
        void compareOutput(programio prog1, programio prog2, vector<string> &missing, vector<string> &found); // compare the outputs
        void printVector(vector<string> vec); // print the vector, for debugging, roll into class
        void printVecToFile(string ofilename, string label, vector<string> vec);
        void compare();
        void clearCompVecs();
        void writeCompToFile();
};

#endif
