/* programio.h */

#ifndef PROGRAMIO_H
#define PROGRAMIO_H

#include <string>
#include <vector>
using namespace std;

class programio
{
	private:
		int linesInOutput; // lines in Output vector, actually an index, will be 1 less than actual number of lines
		string fileName;
		vector<string> output;
		string WINE_PATH;

	public:
		programio();
		programio& operator=(programio& prog);
		void setName(string name);
		string getName();
		string getWP();
		vector<string> getOutputVec(void);
		int getLastIndex(void);

		/* functions which are actually used for the i/o */
		void collectOutput(string inputFile); // generate output file
		void readOutput(void); // read the output file into a vector
		void removeCRs(void);
		void formatOutput(void); // remove blank lines from vector
		void printOutput(void); // print the vector
};

#endif
